Obtener tendencias personalizadas
curl --request GET \
--url https://api.x.com/2/users/personalized_trends \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/personalized_trends"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/personalized_trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"category": "<string>",
"post_count": 123,
"trend_name": "<string>",
"trending_since": "<string>"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Tendencias personalizadas
Obtener tendencias personalizadas
Obtiene temas de tendencia personalizados para el usuario autenticado.
GET
/
2
/
users
/
personalized_trends
Obtener tendencias personalizadas
Autorizaciones
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de consulta
Una lista de campos de PersonalizedTrend, separados por comas, que se mostrarán. Los campos disponibles para un objeto PersonalizedTrend.
Minimum array length:
1Opciones disponibles:
category, post_count, trend_name, trending_since Ejemplo:
[
"category",
"post_count",
"trend_name",
"trending_since"
]
Respuesta
La solicitud se completó correctamente.
Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes